[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TWriter.Write

Write raw data to stream

## Declaration

Source position: classesh.inc line 1442

`public procedure TWriter.Write(`
`const Buffer;`
`Count: LongInt`
`); virtual;`

## Description

Write is introduced for Delphi compatibility to write raw data to the component stream. This should not be used in new production code as it will totally mess up the streaming.

## See also

TBinaryObjectWriter.Write |  | Write raw data to stream
TAbstractObjectWriter.Write |  | Write raw data to stream

Documentation generated on: Feb 26 2014